BEGIN ~NTOLIVIA~ 99025

IF ~False()
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN EXIT
END

IF ~True()
Global("OliviaSaysToFly","GLOBAL",0)
~ THEN BEGIN 1
  SAY @1
  IF ~~ THEN DO ~SetGlobal("OliviaSaysToFly","GLOBAL",1)~ JOURNAL @2 EXIT
END

IF ~PartyHasItem("POTN45")
~ THEN BEGIN 2
  SAY @3
  IF ~~ THEN DO ~TakePartyItem("POTN45")
// Potion of Freedom
GiveItemCreate("WAND08",LastTalkedToBy(Myself),0,0,0)
// Wand of Sleep
CreateCreature("WYVERNF",[1263.902],8)
// Fire wyvern
EscapeArea()~ JOURNAL @4 EXIT
END

IF ~ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN BEGIN 3
  SAY @5
  IF ~~ THEN EXIT
END

IF ~!PartyHasItem("POTN45")
~ THEN BEGIN 4
  SAY @6
  IF ~~ THEN EXIT
END
